Random error on streams

Randomly, during a radio stream play, I am getting this error:

Dec 21 11:40:29 pab mopidy[491]: OverflowError: Python int too large to convert to C long
Dec 21 11:40:29 pab mopidy[491]: The above exception was the direct cause of the following exception:
Dec 21 11:40:29 pab mopidy[491]: Traceback (most recent call last):
Dec 21 11:40:29 pab mopidy[491]:   File "/usr/local/lib/python3.9/dist-packages/mopidy/audio/actor.py", line 212, in on_message
Dec 21 11:40:29 pab mopidy[491]:     elif msg.type == Gst.MessageType.BUFFERING:
Dec 21 11:40:29 pab mopidy[491]: SystemError: <built-in method get_value of gi.FieldInfo object at 0x74a97dd0> returned a result with an error set
Dec 21 11:41:20 pab mopidy[491]: OverflowError: Python int too large to convert to C long
Dec 21 11:41:20 pab mopidy[491]: The above exception was the direct cause of the following exception:
Dec 21 11:41:20 pab mopidy[491]: Traceback (most recent call last):
Dec 21 11:41:20 pab mopidy[491]:   File "/usr/local/lib/python3.9/dist-packages/mopidy/audio/actor.py", line 212, in on_message
Dec 21 11:41:20 pab mopidy[491]:     elif msg.type == Gst.MessageType.BUFFERING:
Dec 21 11:41:20 pab mopidy[491]: SystemError: <built-in method get_value of gi.FieldInfo object at 0x74a97dd0> returned a result with an error set

mopidy v. 3.4.1

We’ve had reports elsewhere of that. If you are still seeing the issue with the latest release (on a more recent supported version of Python) than we can look.

mopidy is already the newest version (3.4.1-1)

Latest release is not on apt repositories…

Python 3.9.2

Raspbian Bullseye

Sorry, my bad. I forget to switch from buster to bullseye in mopidy.list

on a more recent supported version of Python

I’m saying that I am not going to look at a problem on an old system running Python 3.9.

Ok. Sorry for bothering.

  • Sent from my mobile phone. Sorry for typos -

Just for context, the next version of Mopidy will be Python 3.11+. That’ll mean running on latest Debian.

Is this information or a threat? :rofl: :joy:

This news should be considered an early Christmas present.

I have just upgraded to Bookworm (and Python 3.11). This is the error in the log:

Dec 22 11:57:39 pab mopidy[996]: OverflowError: Python int too large to convert to C long
Dec 22 11:57:39 pab mopidy[996]: The above exception was the direct cause of the following exception:
Dec 22 11:57:39 pab mopidy[996]: Traceback (most recent call last):
Dec 22 11:57:39 pab mopidy[996]:   File "/usr/lib/python3/dist-packages/mopidy/audio/actor.py", line 212, in on_message
Dec 22 11:57:39 pab mopidy[996]:     elif msg.type == Gst.MessageType.BUFFERING:
Dec 22 11:57:39 pab mopidy[996]:          ^^^^^^^^

Thanks. And exactly what system is this? Raspbery Pi OS Lite Bookworm on a Pi 3/4/5?

It is a Raspberry pi 3B+ with raspbian 32-bit bookworm.

cat /etc/os-release 
PRETTY_NAME="Raspbian GNU/Linux 12 (bookworm)"
NAME="Raspbian GNU/Linux"
VERSION_ID="12"
VERSION="12 (bookworm)"
VERSION_CODENAME=bookworm
ID=raspbian
ID_LIKE=debian
HOME_URL="http://www.raspbian.org/"
SUPPORT_URL="http://www.raspbian.org/RaspbianForums"
BUG_REPORT_URL="http://www.raspbian.org/RaspbianBugs"

And mopidy deps please.

I’ve been using the 64-bit version on my Pi 4 for a while and I don’t think I ever see this.

nick@bookworm64:~ $ uname -a
Linux bookworm64 6.1.0-rpi7-rpi-2712 #1 SMP PREEMPT Debian 1:6.1.63-1+rpt1 (2023-11-24) aarch64 GNU/Linux
nick@bookworm64:~ $ arch
aarch64
nick@bookworm64:~ $ dpkg --print-architecture
arm64
nick@bookworm64:~ $ getconf LONG_BIT
64

I don’t think this issue in in Mopidy code but we can probably suppress the error caused by trying to use the buffering message. Does everything work OK otherwise ?

What do you get it you run this?

import gi
gi.require_version("Gst", "1.0")
from gi.repository import Gst
print(Gst.MessageType.get_name(Gst.MessageType.DEVICE_ADDED))

Yes, everything is working, and that error appeared just once.

I got just this:

device-added

Hmm OK, that’s ok. I need to find a way to reproduce this. I think I’ve found a different bug but it’s not going to fix this error message.